Attribute VB_Name = "Module1"
Option Explicit

Public Sub ElasticForm(frm As Form, Init As Boolean)

'***************************************************************
'* Sub Name:    Public ElasticForm()                           *
'* Author:      Ward Hitt                                      *
'* Entered:     Kevin Henderson                                *
'* Arguments:   Form - Frm: Holds Value of form that is to be  *
'*              Resized.                                       *
'*              Integer - Init: Holds Flag to define if sub is *
'*              called from Load or Resize                     *
'* Details:     Sub will automatically reposition and size all *
'*              controls on a SDI form (non-MDI) when the user *
'*              or code resizes the form.  Design form as      *
'*              normal, Call Sub once in the Load event, with  *
'*              Init set to True, call again with Init set to  *
'*              False in the Resize event.                     *
'***************************************************************

On Error Resume Next

Dim ctl As Object

If Init = True Then
    For Each ctl In frm.Controls
        ctl.Tag = Format$(ctl.Left / frm.ScaleWidth, ".0000") & Format$(ctl.Top / frm.ScaleHeight, ".0000") & Format$(ctl.Width / frm.ScaleWidth, ".0000") & Format$(ctl.Height / frm.ScaleHeight, ".0000")
    Next ctl
Else
    For Each ctl In frm.Controls
        ctl.Move Val(Mid$(ctl.Tag, 1, 5)) * frm.ScaleWidth, Val(Mid$(ctl.Tag, 6, 5)) * frm.ScaleHeight, Val(Mid$(ctl.Tag, 11, 5)) * frm.ScaleWidth, Val(Mid$(ctl.Tag, 16, 5)) * frm.ScaleHeight
    Next ctl
End If
End Sub


